.TH qemu-gtk-run 1 "(c) 2009 Gerd Hoffmann"
.SH NAME
qemu-gtk-run - launch qemu and qemu-gtk, using libvirt config.
.SH SYNOPSIS
.B qemu-gtk-run vm-name
.SH DESCRIPTION
.B qemu-gtk-run
is a perl script which will start qemu and qemu-gtk for you.  It uses
libvirt (virsh dumpxml $name) to get the virtual machine
configuration.  It will not use libvirt to start the virtual machine
though.  Instead it parses the xml config, assembles a command line
and launches qemu directly.
.P
It will not handle all libvirt config options.  It should handle a
reasonable subset of the syntax though.  Some options are
intentionally hard-coded, such as VNC setup and monitor location.
.P
Network setup is largely hardcoded as well for simplicity.  When
started as root it will hook the virtual machine into virbr0 using
a tap interface.  Otherwise slirp (aka -net user) is used.
.P
You probably want to set the VIRSH_DEFAULT_CONNECT_URI environment
variable.  Check
.B virsh(1)
for details.
.SH OPTIONS
.TP
.B -d
Enable debug messages.
.TP
.B -m
Enable monitor access (passed to qemu-gtk).
.SH SEE ALSO
qemu-gtk(1), virsh(1)
.SH AUTHOR
(c) 2009 Gerd Hoffmann <kraxel@redhat.com>
